Home Portal

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Section
Section
Column
width70%
 
Column

Target audience: XTRF Platform's users

 


 

 

Section
Column
width60%

The only requirement to use XTRF Language Business Platform as the application for your translation process is to have an installed and running Internet browser. 

Tip

It is strongly recommended to use the latest stable and tested version of the Internet browser, so all XTRF Platform's features can work correctly.

 

 

 

 

Column
width2%

 

Column

 

Panel
Excerpt

This article describes the Internet Browsers supported by required to use the XTRF Language Business Platform.

Internet Browsers

Use one of the following Browsers with With XTRF Language Business Platform the following browsers are supported:

BrowserVersionsLink to the Browser Page
Google Chrome50.0 and higherhttps://www.google.com/chrome/
Mozilla Firefox52.0 and higherhttps://www.mozilla.org/firefox/new/
Opera (Chromium based)34.0 and higherhttps://www.opera.com/
Microsoft Edge (Chromium based)80.0 and higherhttps://www.microsoft.com/edge